baseURL = 'https://www.monkeybox.org/'
#baseURL = 'http://hugo.monkeybox.org/'
languageCode = 'en-us'
DefaultContentLanguage = "en"
title = 'Enjoy MonkeyBOX!'
theme = "introduction"

[deployment]
# By default, files are uploaded in an arbitrary order.
# Files that match the regular expressions in the "Order" list
# will be uploaded first, in the listed order.
order = [".jpg$", ".gif$", ".png$"]


[[deployment.targets]]
# An arbitrary name for this target.
name = "s3_hugo.monkeybox.org"
# The Go Cloud Development Kit URL to deploy to. Examples:
# GCS; see https://gocloud.dev/howto/blob/#gcs
# URL = "gs://<Bucket Name>"

# S3; see https://gocloud.dev/howto/blob/#s3
# For S3-compatible endpoints, see https://gocloud.dev/howto/blob/#s3-compatible
# URL = "s3://<Bucket Name>?region=<AWS region>"
URL = "s3://hugo.monkeybox.org?region=us-east-2"

# Azure Blob Storage; see https://gocloud.dev/howto/blob/#azure
# URL = "azblob://$web"

# You can use a "prefix=" query parameter to target a subfolder of the bucket:
# URL = "gs://<Bucket Name>?prefix=a/subfolder/"

# If you are using a CloudFront CDN, deploy will invalidate the cache as needed.
#cloudFrontDistributionID = <ID>

# Optionally, you can include or exclude specific files.
# See https://godoc.org/github.com/gobwas/glob#Glob for the glob pattern syntax.
# If non-empty, the pattern is matched against the local path.
# All paths are matched against in their filepath.ToSlash form.
# If exclude is non-empty, and a local or remote file's path matches it, that file is not synced.
# If include is non-empty, and a local or remote file's path does not match it, that file is not synced.
# As a result, local files that don't pass the include/exclude filters are not uploaded to remote,
# and remote files that don't pass the include/exclude filters are not deleted.
# include = "**.html" # would only include files with ".html" suffix
# exclude = "**.{jpg, png}" # would exclude files with ".jpg" or ".png" suffix


# [[deployment.matchers]] configure behavior for files that match the Pattern.
# See https://golang.org/pkg/regexp/syntax/ for pattern syntax.
# Pattern searching is stopped on first match.

# Samples:

#[[deployment.matchers]]
## Cache static assets for 1 year.
#pattern = "^.+\\.(js|css|svg|ttf)$"
#cacheControl = "max-age=31536000, no-transform, public"
#gzip = true
#
#[[deployment.matchers]]
#pattern = "^.+\\.(png|jpg)$"
#cacheControl = "max-age=31536000, no-transform, public"
#gzip = false
#
#[[deployment.matchers]]
## Set custom content type for /sitemap.xml
#pattern = "^sitemap\\.xml$"
#contentType = "application/xml"
#gzip = true
#
#[[deployment.matchers]]
#pattern = "^.+\\.(html|xml|json)$"
#gzip = true

#######################################
# introduction theme stuff
#
# Copied from the example site
[params]
themeStyle                   = "auto"                  # Choose "light" or "dark" or "auto"
favicon                      = "/img/fav.ico"          # Path to favicon file
showMenu                     = true                    # Show navigation menu
showRSSButton                = false                   # Show rss button in navigation
fadeIn                       = true                    # Turn on/off the fade-in effect
fadeInIndex                  = false                   # Turn on/off the fade-in effect on the index page even if fade-in was otherwise turned off
dateFormat                   = "Jan 2, 2006"
email                        = "fred.damstra+hugo@gmail.com"   # E-mail address for contact section
# customCSS                  = ["foo.css"]             # Include custom css files placed under assets/
# customJS                   = ["foo.js"]              # Include custom JavaScript files placed under assets/
# plausible                  = true                    # Use Plausible analytics (requires an account at Plausible.io)

# Configure the home page
[params.home]
introHeight              = "fullheight"            # Input either "medium" or "large" or "fullheight"
showLatest               = true                    # Show latest blog post summary
showAllPosts             = false                   # Set true to list all posts on home page, or set false to link to separate blog list page
allPostsArchiveFormat    = true                    # show all posts in an archive format
numberOfProjectsToShow   = 3                       # Maximum number of projects to show on home page. Unset or comment out to show all projects
localTime                = true                    # Show your current local time in contact section
timeZone                 = "America/Detroit"       # Your timezone as in the TZ* column of this list: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
timeFormat               = "en-US"                 # Language specific format to use
[params.projects]
useTwoColumns            = false                   # Use a layout with two columns instead of three

# Share buttons on blog post pages
[params.share]
twitter                  = true
facebook                 = true
pinterest                = true

# To enable giscus, the GitHub-discussions-based comment section,
# input the repository for the discussions below. For more details, see
# https://www.joelnitta.com/posts/2021-11-24_using-giscus/
# and https://github.com/giscus/giscus
[params.giscus]
# repo = "github-user/github-repo" # Entering repo will enable giscus
repo-id = "enter-repo-id"
category = "Comments"
category-id = "enter-category-id"
mapping = "pathname"
reactions-enabled = "1"
emit-metadata = "0"
theme = "light"
lang = "en"

# Social icons appear in introduction and contact section. Add as many more as you like.
# Icon pack "fab" includes social network icons, see: https://fontawesome.com/icons?d=gallery&s=brands&m=free
# Icon pack "fas" includes solid style icons, see: https://fontawesome.com/icons?d=gallery&s=solid&m=free
[[params.social]]
url   = "https://twitter.com/fdamstra"
icon  = "twitter" # icon name without the 'fa-'
icon_pack = "fab"
[[params.social]]
url   = "https://facebook.com/fdamstra"
icon  = "facebook-f" # icon name without the 'fa-'
icon_pack = "fab"
[[params.social]]
url   = "https://www.linkedin.com/in/fdamstra/"
icon  = "linkedin-in" # icon name without the 'fa-'
icon_pack = "fab"
#[[params.social]]
#    url = "mailto:youremail@email.com"  # For a direct email link, use "mailto:test@example.org".
#    icon = "paper-plane" # icon name without the 'fa-'
#    icon_pack = "fas"
#[[params.social]]
#    url   = "https://mastodon.social/"
#    icon  = "mastodon" # icon name without the 'fa-'
#    icon_pack = "fab"
#    html_attributes = "rel=\"me\"" # Add rel attribute for Mastodon profile link verification


# If you don't want to use the default menu, you can define one by yourself
# [[menu.main]]
#     name    = "Home"
#     url     = "/"
#     weight  = 0
# [[menu.main]]
#     name    = "Blog"
#     url     = "/blog/"
#     weight  = 1

# We only use tag as a taxonomies
# You can add more by yourself
[taxonomies]
tag = "tags"
series = "series"

[markup]
defaultMarkdownHandler = "goldmark"
[markup.goldmark]
[markup.goldmark.renderer]
unsafe = true
[markup.highlight]
codeFences = true
guessSyntax = false
hl_Lines = ""
lineNoStart = 1
lineNos = false
lineNumbersInTable = true
# noClasses = true
# For styles, see https://xyproto.github.io/splash/docs/longer/all.html
style = "solarized-dark"
tabWidth = 4

[languages]
[languages.en]
languageName     = "English"
languageCode     = "en-us"
contentDir       = "content/en"
weight           = 0
title            = "Enjoy MonkeyBOX"
[languages.en.params]
description  = "MonkeyBOX Entertainment Group"   # Max 160 characters show in search results
# footerText   = ""                              # Text to override default footer text (markdown allowed)

#    [languages.es]
#        languageName     = "Español"
#        languageCode     = "es"
#        contentDir       = "content/es"
#        weight           = 1
#        title            = "Introducción"
#        [languages.es.params]
#            description  = "Descripcion del sitio web"
#            # footerText   = ""
#
#    [languages.de]
#        languageName     = "Deutsch"
#        languageCode     = "de"
#        contentDir       = "content/de"
#        weight           = 2
#        title            = "Vorstellung"
#        [languages.de.params]
#            dateFormat   = "2. January 2006"
#            description  = "Beschreibung der Webseite"
#            # footerText   = ""
